// doframe.c
//    Screen saver shell for S/MIME-RC240 brute force search
//    v1.0  Oct 1997 Jim Russell, SynData Technologies
//    Based on Microsoft sample SSAVER
//
//    Drawing module
//
//****************************************************************************

#include <windows.h>
#include <stdlib.h>

//****************************************************************************
void 
DrawFrame(
   HWND     hWnd,
   char*    msgtext)
                                       // A simple routine to draw 
                                       // something on the screen
{
   HDC      hDC = GetDC(hWnd);
   RECT     rect;
   
                                       // If we didn't get a DC for 
                                       //    the window then bail
   if (!hDC)
      return;

                                       // Get our drawing surface extents
   GetClientRect(hWnd, &rect);

   DrawText(hDC, msgtext, -1, &rect, DT_LEFT);

   {
      int x,y,r,g,b;
      HBRUSH hbr;
                                       // Get location for ellipse 
                                       //    center point
      x = rand() % rect.right;
      y = rand() % rect.bottom;
                                       // Get color for ellipse
      r = rand() % 256;
      g = rand() % 256;
      b = rand() % 256;
                                       // Set the colors
      SelectObject(hDC, GetStockObject(BLACK_PEN));
      hbr = CreateSolidBrush(RGB(r,g,b));
      if (hbr)
         SelectObject(hDC, hbr);
                                       // Draw the ellipse
      Ellipse(hDC, x-18, y-18, x+18, y+18);
                                       //Clean up
      SelectObject(hDC, GetStockObject(BLACK_BRUSH));
      DeleteObject(hbr);
   }
   ReleaseDC(hWnd, hDC);
}     
//****************************************************************************
//****************************************************************************

